Subject: Bug#3489: basedisks configuration problems

From: Ian Jackson <[email-masked]>, Stephen Early <[email-masked]>, Owen Dunn <[email-masked]>
Date: Tue, 2 Jul 96 02:22 BST

Package: rootdisk
Version: 1996_6_11

* If you hit ^C during the base system configuration it thinks you've
finished it and you have to tell it yourself to go back and finish it.

* While configuring your network the default address should be
10.0.0.1 (see RFC1597, or for an alternative view RFC1627, or also
RFC1887 to see where things are going).

* The notes we made say that the prompts should say what `netmask',
`gateway', `broadcast address', &c are, though I'm not sure I agree
:-).

* The prompt for nameserver addresses should tell you what separator
to use.

* There is no validity checking on the inputs for the network
configuration dialogues - you can type any old garbage in for your IP
address, for example, and seriously confuse the scripts.

* If you say `n' to `is this OK' during the network configuration it
isn't consistent about giving you your previous answer as a default.

(This bug was encountered during a test installation of 1.1 done by
the three of us.)

Ian.

---

From: Miquel van Smoorenburg <[email-masked]>
Date: Tue, 2 Jul 1996 13:46:22 +0200 (MET DST)

> RFC1887 to see where things are going).

May I note that you should probably use 192.168.1.1, which is also a
1597 network but a class C, so that your system will think it lives
in a class C rather than a class A (which is very unlikely).

Also instead of

/sbin/route add default gw ${GATEWAY}

It should say

[ "$GATEWAY" ] && /sbin/route add default gw ${GATEWAY}

so that the script will work if you set the gateway to "" (I don't have
a gateway at home, though I wish I had ;) )

Mike.
-- 
  Miquel van    | Cistron Internet Services   --    Alphen aan den Rijn.
  Smoorenburg,  | mailto:[email-masked]          http://www.cistron.nl/
[email-masked] | Tel: +31-172-419445 (Voice) 430979 (Fax) 442580 (Data)